Bug 222931 - [PATCH] devel/radare2: update to 1.6.0
Summary: [PATCH] devel/radare2: update to 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-10-11 13:47 UTC by Michael Zhilin
Modified: 2017-11-21 20:28 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (torres.73a)


Attachments
SVN patch (23.56 KB, patch)
2017-10-11 13:47 UTC, Michael Zhilin
no flags Details | Diff
Patch to version 2.0.1 (24.43 KB, patch)
2017-11-13 19:51 UTC, Oleh Hushchenkov
o.hushchenkov: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2017-10-11 13:47:55 UTC
Created attachment 187081 [details]
SVN patch

Hi,

Latest version of radare2 is 1.6.0, but there is port only for 1.0.2. Radare2 team are very friendly and supports FreeBSD, except ino64 update. That's why porting of new version was easy. I'll send patch for ino64 to upstream soon.

This patch update port to 1.6.0. SVN diff has been attached to ticket. It works for me, I use it for my FreeBSD-mips hobby very often.
Comment 1 Oleh Hushchenkov 2017-11-13 18:10:07 UTC
Hi Michael.

Can you update patch to latest radare2 version (2.0.1)?

Thanks!
Comment 2 Oleh Hushchenkov 2017-11-13 19:51:28 UTC
Created attachment 187975 [details]
Patch to version 2.0.1

Update patch to radare2 version 2.0.1
Comment 3 Oleh Hushchenkov 2017-11-13 19:56:00 UTC
Uploaded Michael's patch updated to radate 2.0.1.
Comment 4 Rodrigo Osorio freebsd_committer 2017-11-17 08:30:56 UTC
Waiting for maintainer approval (torres.73a@gmail.com)
Comment 5 Rodrigo Osorio freebsd_committer 2017-11-20 13:33:43 UTC
maintainer timeout since first patch submission

Committed thanks.
Comment 6 commit-hook freebsd_committer 2017-11-20 13:34:38 UTC
A commit references this bug:

Author: rodrigo
Date: Mon Nov 20 13:33:47 UTC 2017
New revision: 454555
URL: https://svnweb.freebsd.org/changeset/ports/454555

Log:
  Update radare2 from v1.0.2 to v2.0.1

  Since last release commes with 3255 commits you should look at
  https://github.com/radare/radare2/releases to see the full releases
  history.

  PR:		222931
  Submitted by:	Michael Zhilin <mizhka@gmail.com>
  Approved by:	rodrigo (maintainer timeout)

Changes:
  head/devel/radare2/files/patch-kinfo_file.c
  head/devel/radare2/files/patch-libr_debug_p_debug__native.c
Comment 7 commit-hook freebsd_committer 2017-11-20 13:45:49 UTC
A commit references this bug:

Author: rodrigo
Date: Mon Nov 20 13:44:55 UTC 2017
New revision: 454557
URL: https://svnweb.freebsd.org/changeset/ports/454557

Log:
  Update radare2 from v1.0.2 to v2.0.1

  Since last release commes with 3255 commits you should look at
  https://github.com/radare/radare2/releases to see the full releases
  history.

  PR:             222931
  Submitted by:   Michael Zhilin <mizhka@gmail.com>
  Approved by:    rodrigo (maintainer timeout)

Changes:
  head/devel/radare2/Makefile
  head/devel/radare2/distinfo
  head/devel/radare2/pkg-plist
Comment 8 Oleh Hushchenkov 2017-11-20 16:52:06 UTC
Thanks Michael and Rodrigo!
Comment 9 Michael Zhilin 2017-11-21 20:28:44 UTC
Thanks you, Oleh and Rodrigo!